#ifdef	__cplusplus
extern "C" {
#endif

	BOOL	ReadLogFile( LPCTSTR fn ) ;
	void	FreeLogInfo() ;
	BOOL	MakeRefList() ;
	void	FreeRefList() ;
	BOOL	MakeNormList() ;
	void	FreeNormList() ;
	LPCSTR	GetLogTitle( DWORD index, BOOL bRef, DWORD dwMaxCol ) ;
	LPCTSTR	GetLogFile( DWORD index, LPDWORD pPos, LPDWORD pSize ) ;
	BOOL	GetForumInfo( DWORD index, LPCSTR *forum, LPDWORD roomNo, LPCSTR *roomName ) ;
	BOOL	IsMailForum( DWORD index ) ;
	DWORD	MakeReplyMessage( LPBYTE dst, DWORD index, LPBYTE szBody ) ;
	DWORD	MakeNewMessage( LPBYTE dst, DWORD index, LPBYTE szBody ) ;
	DWORD	MakeMailMessage( LPBYTE dst, DWORD index, LPBYTE szBody ) ;
	BOOL	MakeForumFn_EmTerm( LPTSTR szPath, DWORD index, BOOL bForceMail ) ;
	BOOL	FindStringForwardMem( LPBYTE szBuffer, DWORD dwSize, DWORD dwStartPos, LPCTSTR szFindStr, BOOL bIgnoreCase, LPDWORD pFoundPos ) ;

	extern	LPDWORD	g_dwRefList ;
	extern	DWORD	g_dwNumRefList ;
	extern	LPDWORD	g_dwNormList ;
	extern	DWORD	g_dwNumNormList ;
	extern	BYTE	g_szReplyBase[ 512 ] ;
	extern	BYTE	g_szNewBase[ 512 ] ;
	extern	BYTE	g_szMailBase[ 512 ] ;
	extern	TCHAR	g_szQuote[ 256 ] ;
	extern	TCHAR	g_szPadDir[ MAX_PATH ] ;
	extern	TCHAR	g_szMailPadFn[ MAX_PATH ] ;
	extern	TCHAR	g_szForumPadFn[ MAX_PATH ] ;

#ifdef	__cplusplus
} ;
#endif
